Bug 1463423 - The ldns-config script differs between 32 and 64 bit packages
The ldns-config script differs between 32 and 64 bit packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ldns (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 17:07 EDT by Göran Uddeborg
Modified: 2018-03-13 19:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: ldns-1.7.0-11.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-13 19:13:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2017-06-20 17:07:19 EDT
Description of problem:
Trying to install both the i686 and the x86_64 version of ldns-devel fails with the following message (approximately, it is translated back from the Swedish message):

  file /usr/bin/ldns-config is a conflict between installation attempt of ldns-devel-1.7.0-2.fc26.x86_64 and ldns-devel-1.7.0-2.fc26.i686


Version-Release number of selected component (if applicable):
ldns-devel-1.7.0-2.fc26


How reproducible:
Every time


Steps to Reproduce:
1. dnf install ldns-devel{i686,x86_64}


Actual results:
The above error message.


Expected results:
A clean install.


Additional info:
There are some packaging guidelines covering this case.  Essentially, the conflicting pieces should simply be removed and the compiler defaults be used.

https://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks#Multiarch.2C_binaries_and_compilation_scripts
Comment 1 Fedora Update System 2018-03-02 05:23:41 EST
ldns-1.7.0-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1151fe869
Comment 2 Fedora Update System 2018-03-02 06:07:12 EST
ldns-1.7.0-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-21efb5cc2d
Comment 3 Fedora Update System 2018-03-02 11:53:31 EST
ldns-1.7.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-21efb5cc2d
Comment 4 Fedora Update System 2018-03-02 12:34:25 EST
ldns-1.7.0-11.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1151fe869
Comment 5 Fedora Update System 2018-03-13 19:13:39 EDT
ldns-1.7.0-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.